Skip to main content
GET
/
stats
Retrieve blockchain network statistics and metrics
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/stats?apikey='
{
  "average_block_time": 123,
  "coin_image": "<string>",
  "coin_price": "<string>",
  "coin_price_change_percentage": 123,
  "gas_price_updated_at": "2023-11-07T05:31:56Z",
  "gas_prices": {},
  "gas_prices_update_in": 123,
  "gas_used_today": "<string>",
  "market_cap": "<string>",
  "network_utilization_percentage": 123,
  "secondary_coin_image": "<string>",
  "secondary_coin_price": "<string>",
  "static_gas_price": "<string>",
  "total_addresses": "<string>",
  "total_blocks": "<string>",
  "total_gas_used": "<string>",
  "total_transactions": "<string>",
  "transactions_today": "<string>",
  "tvl": "<string>"
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Blockchain network statistics.

Stats response

average_block_time
number<float>
coin_image
string | null
coin_price
string | null
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
coin_price_change_percentage
number<float> | null
gas_price_updated_at
string<date-time> | null
gas_prices
object
gas_prices_update_in
integer | null
gas_used_today
Pattern: ^-?([1-9][0-9]*|0)$
market_cap
string
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
network_utilization_percentage
number | null
secondary_coin_image
string | null
secondary_coin_price
string | null
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
static_gas_price
string | null
Pattern: ^-?([1-9][0-9]*|0)$
total_addresses
string
Pattern: ^-?([1-9][0-9]*|0)$
total_blocks
string
Pattern: ^-?([1-9][0-9]*|0)$
total_gas_used
string
Pattern: ^-?([1-9][0-9]*|0)$
total_transactions
string
Pattern: ^-?([1-9][0-9]*|0)$
transactions_today
string
Pattern: ^-?([1-9][0-9]*|0)$
tvl
string | null
Pattern: ^-?([1-9][0-9]*|0)$